Roomability Guest API
  1. Payment Method
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Payment Method

Active List

GET
https://guestapi.roomability.io/Paymode/ActiveList
Last modified:2026-03-13 10:55:09

Retrieve Privacy Detail#

This endpoint retrieves the privacy policy of an hotel.

Request#

Method: GET
Endpoint: {{baseUrl}}/Privacy/Detail

Response#

The response for this request is a JSON object with the following schema:
{
  "type": "object",
  "properties": {
    "detail": {
      "type": "string"
    },
    "errorCode": {
      "type": "integer"
    },
    "errorMessage": {
      "type": "string"
    }
  }
}

Request

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Paymode/ActiveList' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "items": [
        {
            "id": 1,
            "name": "Book On Hold"
        },
        {
            "id": 4,
            "name": "Paystack"
        }
    ],
    "errorCode": 0,
    "errorMessage": "Successfully retrieved payment methods."
}
Modified at 2026-03-13 10:55:09
Previous
Detail
Next
Verify
Built with